首页 新闻 搜索 专区 学院

SQL Server 附加数据库报版本不一致的问题

0
悬赏园豆:20 [已解决问题] 解决于 2015-08-08 15:56

最近通过Sql server 分离了一个数据库,但是发现在新的电脑上附加不了,报出的错误提示为:
SQL2012 的错误提示:

SQL2008 R2 的错误提示:


以上两个问题,我都在网上找了相关版本,都没发现解决方案,不知道大家有没有遇到过。

KunLen的主页 KunLen | 初学一级 | 园豆:98
提问于:2015-08-07 11:53
< >
分享
最佳答案
0

这个你得找SQL 2014,没有其他办法的。

收获园豆:17
爱编程的大叔 | 高人七级 |园豆:30753 | 2015-08-07 14:33
其他回答(3)
0

附加的服务器sql server版本要大于等于导出的服务器版本,否则,还是导出脚本吧。

收获园豆:1
幻天芒 | 园豆:36781 (高人七级) | 2015-08-07 12:10

关系是 我现在没有导出脚本啊,只能在版本上控制了

支持(0) 反对(0) KunLen | 园豆:98 (初学一级) | 2015-08-07 13:42

@KunLen: SQL Server 2014

支持(0) 反对(0) 幻天芒 | 园豆:36781 (高人七级) | 2015-08-07 14:21
0

2000试试,再不行2005

收获园豆:1
清海扬波 | 园豆:786 (小虾三级) | 2015-08-07 14:04
0

这个需要看这个数据库原来的运行环境,如果是2000的话只能用2000和2005附加,如果是14附加过之后并没有更改兼容性的话就只能用14来附加了,除了2000比较古老,一般高版本的都可以附加低版本的数据库

收获园豆:1
WeihanLi | 园豆:217 (菜鸟二级) | 2015-08-07 14:50
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册